| Bsoft 2.0.5 Bernard's software package

Classes | Macros | Functions
rwSUPRIM.h File Reference

Header file for reading and writing SUPRIM files. More...

`#include "rwimg.h"`

Go to the source code of this file.

## Classes
union | REG
struct | SUPRIMhead

## Macros
#define | F_AVG 0
#define | BACKGROUND 0
#define | ANG_SAMP 1
#define | RAD_SAMP 2
#define | O_ROW_SZ 3
#define | O_COL_SZ 4
#define | ROW_ORG 5
#define | COL_ORG 6
#define | MASK_RAD 7
#define | F_NOTE_R 8
#define | F_NOTE_I 9
#define | SAMP_DIST 10
#define | NSLICES 11
#define | ENL_BP 12
#define | X_FMAX 12
#define | THE_BP 13
#define | PHI_BP 14
#define | FOUR_TR_CEN 15
#define | GSBAR 15
#define | X_NIMA 16
#define | SYMP2 17
#define | X_NPIX 17
#define | X_NCLU 18
#define | X_NCTR 19
#define | X_NAME 20
#define | X_LNAM 21
#define | X_NTRM 21
#define | X_NFAC 22
#define | X_NTYP 23
#define | FRTHDIM 24
#define | X_NIMI 26
#define | X_UFAC 27
#define | X_WALL 28
#define | SLICE_ORG 29
#define | NUM_POLYS 31
#define | X_FBEG 32
#define | PSI_BP 40
#define | X_TRP 70
#define | R_ANGX 81
#define | R_ANGY 82
#define | R_ANGZ 83
#define | R_NPROJ 84
#define | XGLOB 90
#define | YGLOB 91
#define | ROTGLOB 92
#define | XX_CELL 93
#define | XY_CELL 94
#define | YX_CELL 95
#define | YY_CELL 96
#define | IR_WINID 97
#define | O_SLICE_SZ 98
#define | CALIB 99
#define | NAV 100
#define | SUPRIMSIZE 548
#define | MAXREG 128

## Functions
int | readSUPRIM (Bimage *p, int readdata)
| Reading a SUPRIM map image file format. A 3D image format used in electron microscopy. Header size: 36 bytes basic fields 512 bytes additional fields called "registers" up to 1024 bytes of "trace" records File format extensions: .spm, .sup Byte order determination: Version and third dimension values must be less than 256*256. Data types: 1 = byte, 2 = float, 3 = complex float, 4 = run-length-encoded float, 5 = short, 6 = RGB, 7 = int, 8 = double. Transform type: Standard. More...
int | writeSUPRIM (Bimage *p)
| Writing a SUPRIM map image file format. A 3D image format used in electron microscopy. More...

## Detailed Description

Header file for reading and writing SUPRIM files.

Author
  Bernard Heymann

Date
  Created: 19990930
  Modified: 20050705

      Format: 3D image file format for the SUPRIM package

Definition in file rwSUPRIM.h.

## Macro Definition Documentation

## ◆ ANG_SAMP

#define ANG_SAMP 1

Definition at line 17 of file rwSUPRIM.h.

## ◆ BACKGROUND

#define BACKGROUND 0

Definition at line 16 of file rwSUPRIM.h.

## ◆ CALIB

#define CALIB 99

Definition at line 66 of file rwSUPRIM.h.

## ◆ COL_ORG

#define COL_ORG 6

Definition at line 22 of file rwSUPRIM.h.

## ◆ ENL_BP

#define ENL_BP 12

Definition at line 28 of file rwSUPRIM.h.

## ◆ F_AVG

#define F_AVG 0

Definition at line 15 of file rwSUPRIM.h.

## ◆ F_NOTE_I

#define F_NOTE_I 9

Definition at line 25 of file rwSUPRIM.h.

## ◆ F_NOTE_R

#define F_NOTE_R 8

Definition at line 24 of file rwSUPRIM.h.

## ◆ FOUR_TR_CEN

#define FOUR_TR_CEN 15

Definition at line 32 of file rwSUPRIM.h.

## ◆ FRTHDIM

#define FRTHDIM 24

Definition at line 44 of file rwSUPRIM.h.

## ◆ GSBAR

#define GSBAR 15

Definition at line 33 of file rwSUPRIM.h.

## ◆ IR_WINID

#define IR_WINID 97

Definition at line 64 of file rwSUPRIM.h.

## ◆ MASK_RAD

#define MASK_RAD 7

Definition at line 23 of file rwSUPRIM.h.

## ◆ MAXREG

#define MAXREG 128

Definition at line 71 of file rwSUPRIM.h.

## ◆ NAV

#define NAV 100

Definition at line 67 of file rwSUPRIM.h.

## ◆ NSLICES

#define NSLICES 11

Definition at line 27 of file rwSUPRIM.h.

## ◆ NUM_POLYS

#define NUM_POLYS 31

Definition at line 49 of file rwSUPRIM.h.

## ◆ O_COL_SZ

#define O_COL_SZ 4

Definition at line 20 of file rwSUPRIM.h.

## ◆ O_ROW_SZ

#define O_ROW_SZ 3

Definition at line 19 of file rwSUPRIM.h.

## ◆ O_SLICE_SZ

#define O_SLICE_SZ 98

Definition at line 65 of file rwSUPRIM.h.

## ◆ PHI_BP

#define PHI_BP 14

Definition at line 31 of file rwSUPRIM.h.

## ◆ PSI_BP

#define PSI_BP 40

Definition at line 51 of file rwSUPRIM.h.

## ◆ R_ANGX

#define R_ANGX 81

Definition at line 53 of file rwSUPRIM.h.

## ◆ R_ANGY

#define R_ANGY 82

Definition at line 54 of file rwSUPRIM.h.

## ◆ R_ANGZ

#define R_ANGZ 83

Definition at line 55 of file rwSUPRIM.h.

## ◆ R_NPROJ

#define R_NPROJ 84

Definition at line 56 of file rwSUPRIM.h.

## ◆ RAD_SAMP

#define RAD_SAMP 2

Definition at line 18 of file rwSUPRIM.h.

## ◆ ROTGLOB

#define ROTGLOB 92

Definition at line 59 of file rwSUPRIM.h.

## ◆ ROW_ORG

#define ROW_ORG 5

Definition at line 21 of file rwSUPRIM.h.

## ◆ SAMP_DIST

#define SAMP_DIST 10

Definition at line 26 of file rwSUPRIM.h.

## ◆ SLICE_ORG

#define SLICE_ORG 29

Definition at line 48 of file rwSUPRIM.h.

## ◆ SUPRIMSIZE

#define SUPRIMSIZE 548

Definition at line 69 of file rwSUPRIM.h.

## ◆ SYMP2

#define SYMP2 17

Definition at line 35 of file rwSUPRIM.h.

## ◆ THE_BP

#define THE_BP 13

Definition at line 30 of file rwSUPRIM.h.

## ◆ X_FBEG

#define X_FBEG 32

Definition at line 50 of file rwSUPRIM.h.

## ◆ X_FMAX

#define X_FMAX 12

Definition at line 29 of file rwSUPRIM.h.

## ◆ X_LNAM

#define X_LNAM 21

Definition at line 40 of file rwSUPRIM.h.

## ◆ X_NAME

#define X_NAME 20

Definition at line 39 of file rwSUPRIM.h.

## ◆ X_NCLU

#define X_NCLU 18

Definition at line 37 of file rwSUPRIM.h.

## ◆ X_NCTR

#define X_NCTR 19

Definition at line 38 of file rwSUPRIM.h.

## ◆ X_NFAC

#define X_NFAC 22

Definition at line 42 of file rwSUPRIM.h.

## ◆ X_NIMA

#define X_NIMA 16

Definition at line 34 of file rwSUPRIM.h.

## ◆ X_NIMI

#define X_NIMI 26

Definition at line 45 of file rwSUPRIM.h.

## ◆ X_NPIX

#define X_NPIX 17

Definition at line 36 of file rwSUPRIM.h.

## ◆ X_NTRM

#define X_NTRM 21

Definition at line 41 of file rwSUPRIM.h.

## ◆ X_NTYP

#define X_NTYP 23

Definition at line 43 of file rwSUPRIM.h.

## ◆ X_TRP

#define X_TRP 70

Definition at line 52 of file rwSUPRIM.h.

## ◆ X_UFAC

#define X_UFAC 27

Definition at line 46 of file rwSUPRIM.h.

## ◆ X_WALL

#define X_WALL 28

Definition at line 47 of file rwSUPRIM.h.

## ◆ XGLOB

#define XGLOB 90

Definition at line 57 of file rwSUPRIM.h.

## ◆ XX_CELL

#define XX_CELL 93

Definition at line 60 of file rwSUPRIM.h.

## ◆ XY_CELL

#define XY_CELL 94

Definition at line 61 of file rwSUPRIM.h.

## ◆ YGLOB

#define YGLOB 91

Definition at line 58 of file rwSUPRIM.h.

## ◆ YX_CELL

#define YX_CELL 95

Definition at line 62 of file rwSUPRIM.h.

## ◆ YY_CELL

#define YY_CELL 96

Definition at line 63 of file rwSUPRIM.h.

## Function Documentation

## ◆ readSUPRIM()

int readSUPRIM | ( | Bimage * | p,
|  | int | readdata
| ) |  |

Reading a SUPRIM map image file format. A 3D image format used in electron microscopy. Header size: 36 bytes basic fields 512 bytes additional fields called "registers" up to 1024 bytes of "trace" records File format extensions: .spm, .sup Byte order determination: Version and third dimension values must be less than 256*256. Data types: 1 = byte, 2 = float, 3 = complex float, 4 = run-length-encoded float, 5 = short, 6 = RGB, 7 = int, 8 = double. Transform type: Standard.

Parameters

  *p | the image structure.
  readdata | flag to activate reading of image data.

Returns
  int error code (<0 means failure).

Definition at line 60 of file rwSUPRIM.cpp.

## ◆ writeSUPRIM()

int writeSUPRIM | ( | Bimage * | p | ) |

Writing a SUPRIM map image file format. A 3D image format used in electron microscopy.

Parameters

  *p | the image structure.

Returns
  int error code (<0 means failure).

Definition at line 203 of file rwSUPRIM.cpp.